#include "netex_line_stop.h"
#include "netex_line.h"
#include <string>

NetexLineStop::NetexLineStop()
{
    this->StopPointInJourneyPattern = "undefined SPIJP";      // refers to the id in the netex export
    this->ForAlighting = 0;
    this->ForBoarding = 0;
    this->ChangeOfDestinationDisplay = 0;
    this->DestinationDisplayTextFront = "undefined front dest";
    this->DestinationDisplayTextSide = "undefined side dest";

    //class DHID_ID DHID;

    this->prev = nullptr;
    this->next = nullptr;

    this->Ref2NetexLine = nullptr;
}

NetexLineStop::NetexLineStop(std::string _StopPointInJourneyPattern,
                             int _ForAlighting,
                             int _ForBoarding,
                             int _ChangeOfDestinationDisplay,
                             std::string _DestinationDisplayTextFront,
                             std::string _DestinationDisplayTextSide,
                             class DHID_ID _DHID,
                             class NetexLine *_Ref2NetexLine)
{
    this->StopPointInJourneyPattern = _StopPointInJourneyPattern;      // refers to the id in the netex export
    this->ForAlighting = _ForAlighting;
    this->ForBoarding = _ForBoarding;
    this->ChangeOfDestinationDisplay = _ChangeOfDestinationDisplay;
    this->DestinationDisplayTextFront = _DestinationDisplayTextFront;
    this->DestinationDisplayTextSide = _DestinationDisplayTextSide;

    this->DHID = _DHID;

    this->prev = nullptr;
    this->next = nullptr;

    this->Ref2NetexLine = _Ref2NetexLine;
}

NetexLineStop::~NetexLineStop()
{

}
